package cn.com.ctop.toutiao.modules.report.service;

import cn.com.ctop.common.module.entity.CtopOauthToken;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;

public interface IBytedanceVideoReportService {

    PageInfo<JSONObject> getVideoReportBy(JSONArray accountIds, String startDate, String endDate, String filed, String target, String order, String clip, String shot, String plan, String leader, int pageSize, int pageNo);

    List<JSONObject> getVideoDetailBy(JSONArray accountIds, String startDate, String endDate, String filed, String signature);

    List<JSONObject> exportExcelReportBy(JSONArray accountIds, String startDate, String endDate, String filed, String target, String order, String clip, String shot, String plan, String leader);

    void pullVideoReport(CtopOauthToken oauthToken,String startDate, String endDate,int page);

    PageInfo<JSONObject> getBytedanceSevenDayCost(Map<String, Long> requestMap, Integer pageSize, Integer pageNo);

    List<JSONObject> getBytedanceSevenDayCostNoPage(Map<String, Long> requestMap);
}
